Mode (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.rule
Class Mode

    java.lang.Object
      org.dom4j.rule.Mode

public class Mode
extends Object

`Mode` manages a number of RuleSet instances for the mode in a stylesheet. It is responsible for finding the correct rule for a given DOM4J Node using the XSLT processing model uses the smallest possible RuleSet to reduce the number of Rule evaluations.

Version:
  $Revision: 1.9 $
Author:
  James Strachan

Constructor Summary
`Mode()`

Method Summary
`void` | `addRule(Rule rule)`
`protected Map` | `addToNameMap(Map map, String name, Rule rule)` Adds the Rule to a RuleSet for the given name.
`void` | `applyTemplates(Document document)`
`void` | `applyTemplates(Element element)`
`void` | `fireRule(Node node)` Runs the actions associated with the given node
`Rule` | `getMatchingRule(Node node)` Performs an XSLT processing model match for the rule which matches the given Node the best.
`protected RuleSet` | `getRuleSet(int matchType)` DOCUMENT ME!
`protected void` | `removeFromNameMap(Map map, String name, Rule rule)`
`void` | `removeRule(Rule rule)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mode

    public Mode()

Method Detail

### fireRule

    public void fireRule(Node node)
                  throws Exception

  Runs the actions associated with the given node

  Parameters:
    `node` - DOCUMENT ME!
  Throws:
    `Exception` - DOCUMENT ME!

### applyTemplates

    public void applyTemplates(Element element)
                        throws Exception

  Throws:
    `Exception`

### applyTemplates

    public void applyTemplates(Document document)
                        throws Exception

  Throws:
    `Exception`

### addRule

    public void addRule(Rule rule)

### removeRule

    public void removeRule(Rule rule)

### getMatchingRule

    public Rule getMatchingRule(Node node)

  Performs an XSLT processing model match for the rule which matches the given Node the best.

  Parameters:
    `node` - is the DOM4J Node to match against
  Returns:
    the matching Rule or no rule if none matched

### getRuleSet

    protected RuleSet getRuleSet(int matchType)

  DOCUMENT ME!

  Parameters:
    `matchType` - DOCUMENT ME!
  Returns:
    the RuleSet for the given matching type. This method will never return null, a new instance will be created.

### addToNameMap

    protected Map addToNameMap(Map map,
                               String name,
                               Rule rule)

  Adds the Rule to a RuleSet for the given name.

  Parameters:
    `map` - DOCUMENT ME!
    `name` - DOCUMENT ME!
    `rule` - DOCUMENT ME!
  Returns:
    the Map (which will be created if the given map was null

### removeFromNameMap

    protected void removeFromNameMap(Map map,
                                     String name,
                                     Rule rule)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.